Bug 1025100 - Review Request: rubygem-riddle - An API for Sphinx, written in and for Ruby
Review Request: rubygem-riddle - An API for Sphinx, written in and for Ruby
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
: 1020108 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2013-10-30 22:31 EDT by Ken Dreyer
Modified: 2013-11-13 22:28 EST (History)
3 users (show)

See Also:
Fixed In Version: rubygem-riddle-1.5.9-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-11-10 02:06:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Ken Dreyer 2013-10-30 22:31:57 EDT
Spec URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-riddle.spec
SRPM URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-riddle-1.5.9-1.fc21.src.rpm
Description: A Ruby API and configuration helper for the Sphinx search service.
Fedora Account System Username: ktdreyer

F21 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6118077
Comment 1 Mario Blättermann 2013-11-01 05:32:22 EDT
$ rpmlint -i -v *
rubygem-riddle.noarch: I: checking
rubygem-riddle.noarch: I: checking-url http://pat.github.io/riddle/ (timeout 10 seconds)
rubygem-riddle.src: I: checking
rubygem-riddle.src: I: checking-url http://pat.github.io/riddle/ (timeout 10 seconds)
rubygem-riddle.src: I: checking-url https://rubygems.org/gems/riddle-1.5.9.gem (timeout 10 seconds)
rubygem-riddle-doc.noarch: I: checking
rubygem-riddle-doc.noarch: I: checking-url http://pat.github.io/riddle/ (timeout 10 seconds)
rubygem-riddle.spec: I: checking-url https://rubygems.org/gems/riddle-1.5.9.gem (timeout 10 seconds)
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

Rpmlint is silent.


[+] OK
[.] OK, not applicable
[X] needs work

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    There are GPL licensed files in the tarball, but they don't land in the package (Sphinx PHP files).
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    1419b988bf3738cffefad1a2d21c13e1691b8513dcce6f16c2988ff2d1ce4db3  riddle-1.5.9.gem
    1419b988bf3738cffefad1a2d21c13e1691b8513dcce6f16c2988ff2d1ce4db3  riddle-1.5.9.gem.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[+] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.

    -doc packages actually don't require the main package. You might drop this 
    requirement, but it is your choice.

[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.



Comment 2 Mario Blättermann 2013-11-01 05:34:52 EDT
*** Bug 1020108 has been marked as a duplicate of this bug. ***
Comment 3 Ken Dreyer 2013-11-01 13:00:27 EDT
Thanks very much for the review!

New Package SCM Request
Package Name: rubygem-riddle
Short Description: An API for Sphinx, written in and for Ruby
Owners: ktdreyer
Branches: f19 f20
Comment 4 Gwyn Ciesla 2013-11-01 14:03:41 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-11-01 22:13:26 EDT
rubygem-riddle-1.5.9-1.fc20 has been submitted as an update for Fedora 20.
Comment 6 Fedora Update System 2013-11-01 22:19:56 EDT
rubygem-riddle-1.5.9-1.fc19 has been submitted as an update for Fedora 19.
Comment 7 Fedora Update System 2013-11-02 16:17:22 EDT
rubygem-riddle-1.5.9-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 8 Fedora Update System 2013-11-10 02:06:01 EST
rubygem-riddle-1.5.9-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 9 Fedora Update System 2013-11-13 22:28:05 EST
rubygem-riddle-1.5.9-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.